## org.apache.catalina
Interface ContainerListener

All Known Implementing Classes:
  MapperListener, NamingContextListener, ServerLifecycleListener

    public interface ContainerListener

Interface defining a listener for significant Container generated events. Note that "container start" and "container stop" events are normally LifecycleEvents, not ContainerEvents.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Method Summary
`void` `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### containerEvent

    void containerEvent(ContainerEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - ContainerEvent that has occurred

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.